## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# pointer_equals Struct Template Reference

`#include <STLHelper.hpp>`

Inheritance diagram for pointer_equals:

[legend]
Collaboration diagram for pointer_equals:

[legend]
List of all members.

## Public Types

- typedef std::binary_function<
  const T*, const T*, bool> BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::first_argument_type first_argument_type
- typedef BaseClassType::second_argument_type second_argument_type

## Public Methods

- result_type operator() (first_argument_type theLHS, second_argument_type theRHS) const

### template<class T> struct pointer_equals

## Member Typedef Documentation

template<class T>
typedef std::binary_function< const T *, const T *, bool > pointer_equals<T>::BaseClassType<const T*, const T*, bool>

template<class T>
typedef BaseClassType::first_argument_type pointer_equals<T>::first_argument_type

template<class T>
typedef BaseClassType::result_type pointer_equals<T>::result_type

template<class T>
typedef BaseClassType::second_argument_type pointer_equals<T>::second_argument_type

## Member Function Documentation

template<class T>
result_type pointer_equals<T>::operator() ( | first_argument_type theLHS,
| second_argument_type theRHS ) const

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.